
/* ------------ Some global variables ------------ */

// Use the 85% of the available place in landscape mode
var DOC_WIDTH_RATIO_IN_LANDSCAPE = 0.9;
// Fill the full width of the screen in portrait mode
var DOC_WIDTH_RATIO_IN_PORTRAIT = 1.0;
// Global variable to store the current orientation
var currentOrientation = "";
// Global variables to store the initial client width after loading the content or rotating the device
var initialClientWidth = 0;
var initialClientHeight = 0;
// Global counter variable of the hidden div
var counterForHiddenDiv = 0;

/* ---------------- Some functions --------------- */

/* Function triggered whenever Therefore logo is loaded to the webview. */
function setDimensionsOfLogo()
{
	var htmlImage = document.getElementById("theLogo");
	var htmlBody = document.getElementById("theBody");
	
	if (htmlImage != null && htmlBody != null)
	{			
		// Define the width and height attributes
		htmlImage.style.height = "auto";	// set the img height to auto
		htmlBody.style.height = "auto";		// set the body height to auto	
		
		//document.body.clientWidth
		if (htmlBody.clientWidth < htmlImage.clientWidth)
		{
			// in portrait mode	
			htmlImage.style.width = (document.body.clientWidth *  1.0) + "px";				
		}	
	}		
}

/* Function triggered whenever the document is loaded to the webview. */
function setInitialDimensionsOfPreview()
{
	var htmlImage = document.getElementById("thePreview")
	var htmlBody = document.getElementById("theBody");
	if (htmlImage != null && htmlBody != null)
	{
		// The preview is hidden by default to prevent flickering, but its should be set to visible at this point.
		// Changing its display attribute from  "none" to "" makes it visible.
		htmlImage.style.display = "";
			
		// Define the width and height attributes
		htmlImage.style.height = "auto";	// set the img height to auto
		htmlBody.style.height = "auto";		// set the body height to auto
		if (document.body.clientWidth < document.body.clientHeight)
		{
			// in portrait mode	
			htmlImage.style.width = (document.body.clientWidth *  DOC_WIDTH_RATIO_IN_PORTRAIT) + "px";			
	
			// Update the current orientation
			currentOrientation = "PORTRAIT";		
		}
		else
		{
			// in landscape mode
			htmlImage.style.width = (document.body.clientWidth *  DOC_WIDTH_RATIO_IN_LANDSCAPE) + "px";

			// Update the current orientation
			currentOrientation = "LANDSCAPE";
		}
		
		// Store the initial client width and height
		initialClientWidth = document.body.clientWidth;
		initialClientHeight = document.body.clientHeight;	
		
		// Set some initial value of the hidden div if it exists (for the fixture of Bug#7773)
		var hiddenDiv = document.getElementById("theHiddenDiv");
		if (hiddenDiv != null)
		{
			// Reset the counter for hidden div
			counterForHiddenDiv = 0
			// Set the initial value of the hidden div
			hiddenDiv.innerHTML = "";
		}
	}		
}

/* Function triggered whenever the webview is resized (e.g. orientation change or zooming) while a document is visible. */
function setDimensionsOnResizePreview()
{	
	var htmlImage = document.getElementById("thePreview");
	var htmlBody = document.getElementById("theBody");
	if (htmlImage != null && htmlBody != null)
	{		
		//Define the width and height attributes only if the orientation is changed or the client width is increased
		//Other "resize" events are supposed to be ignored since every user action (like zooming) would trigger this part and resize the doc.
		//In that case zooming wouldnt be possible at all, thats why the IF needs a second condition to check whether the orientation is changed.		
		if (document.body.clientWidth < document.body.clientHeight && 
			(currentOrientation != "PORTRAIT" || initialClientWidth < document.body.clientWidth)  )
		{
			htmlImage.style.height = "auto";	// set the img height to auto
			htmlBody.style.height = "auto";		// set the body height to auto

			// In portrait mode
			htmlImage.style.width = (document.body.clientWidth * DOC_WIDTH_RATIO_IN_PORTRAIT) + "px";

			// Update the current orientation
			currentOrientation = "PORTRAIT";

			// Store the new client width and height
			initialClientWidth = document.body.clientWidth;
			initialClientHeight = document.body.clientHeight;
		}
		else 
		if (document.body.clientWidth >= document.body.clientHeight && 
			(currentOrientation != "LANDSCAPE" || initialClientWidth < document.body.clientWidth)  )
		{
			htmlImage.style.height = "auto";	// set the img height to auto
			htmlBody.style.height = "auto";		// set the body height to auto

			// In landscape mode
			htmlImage.style.width = (document.body.clientWidth * DOC_WIDTH_RATIO_IN_LANDSCAPE) + "px";

			// Update the current orientation
			currentOrientation = "LANDSCAPE";

			// Store the new client width and height
			initialClientWidth = document.body.clientWidth;
			initialClientHeight = document.body.clientHeight;	
		}	
		
		// Set some new value of the hidden div if it exists (for the fixture of Bug#7773)
		var hiddenDiv = document.getElementById("theHiddenDiv");
		if (hiddenDiv != null)
		{
			// Increase the counter 
			counterForHiddenDiv++;	
			// Set a new value 
			hiddenDiv.innerHTML = counterForHiddenDiv;
		}
	}	
}